<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.StoreUserMapper">

    <!-- 查询已删除的用户 -->
    <select id="getRemoveUser" resultType="shop.alien.entity.store.vo.StoreUserVo">
        select concat(name, "(账号已注销)") as name, phone
        FROM store_user
        where id = #{id}
    </select>

    <select id="getUserIncludeDeleted" resultType="shop.alien.entity.store.StoreUser">
        select id, phone, name, nick_name
        FROM store_user
        where id = #{id}
    </select>
</mapper>